
#include <Ice/Ice.h>
#include <simple.h>
#include <simpleI.h>

using namespace Filesystem;

class MyApplication : virtual public Ice::Application {
public:
virtual int run(int, char*[]) {

Ice::ObjectAdapterPtr adapter
= communicator()->createObjectAdapterWithEndpoints(
"SimpleDictAdapter",
"default -p 10000");
Ice::ObjectPtr object = new DictI();
adapter->add(object,
communicator()->stringToIdentity("Dict"));
adapter->activate();
communicator()->waitForShutdown();

return 0;
}

};

int
main(int argc, char* argv[])
{
MyApplication app;
return app.main(argc, argv);
}